# na_cdot_user – useradmin configuration and management

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.11

Why

  Updated modules released with increased functionality

Alternative

  Use na_ontap_user instead.

## Synopsis

- Create or destroy users.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3

- Ansible 2.2

- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

application
- / required

Choices:
- console
- http
- ontapi
- rsh
- snmp
- sp
- ssh
- telnet

Applications to grant access to.

authentication_method
- / required

Choices:
- community
- password
- publickey
- domain
- nsswitch
- usm

Authentication method for the application.
Not all authentication methods are valid for an application.
Valid authentication methods for each application are as denoted in authentication_choices_description.
password for console application
password, domain, nsswitch, cert for http application.
password, domain, nsswitch, cert for ontapi application.
community for snmp application (when creating SNMPv1 and SNMPv2 users).
usm and community for snmp application (when creating SNMPv3 users).
password for sp application.
password for rsh application.
password for telnet application.
password, publickey, domain, nsswitch for ssh application.

hostname - / required |  | The hostname or IP address of the ONTAP instance.
name - / required |  | The name of the user to manage.
password - / required |  | Password for the specified user. aliases: pass
role_name - |  | The name of the role. Required when `state=present`
set_password - |  | Password for the user account. It is ignored for creating snmp users, but is required for creating non-snmp users. For an existing user, this value will be used as the new password.

state
- / required

Choices:
- present
- absent

Whether the specified user should exist or not.

username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user
vserver - / required |  | The name of the vserver to use.

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Create User
      na_cdot_user:
        state: present
        name: SampleUser
        application: ssh
        authentication_method: password
        set_password: apn1242183u1298u41
        role_name: vsadmin
        vserver: ansibleVServer
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]

- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.